function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("TIBCO BusinessEvents Resource Reference Tables","4");
A=P.fN("Preface","5");
var B=A.fN("Changes from the Previous Release of this Guide","6");
B=A.fN("TIBCO BusinessEvents Express","7");
B=A.fN("Related Documentation","8");
var C=B.fN("TIBCO BusinessEvents and Add-On Product Documentation","8#65287");
C=B.fN("Accessing TIBCO BusinessEvents Functions Reference Documentation","8#65526");
C=B.fN("Other TIBCO Product Documentation","8#65538");
B=A.fN("Typographical Conventions","9");
B=A.fN("Connecting with TIBCO Resources","10");
C=B.fN("How to Join TIBCOmmunity","10#65568");
C=B.fN("How to Access TIBCO Documentation","10#65580");
C=B.fN("How to Contact TIBCO Support","10#65589");
A=P.fN("Chapter\u00a01 Project Tasks","11");
B=A.fN("Project Development Overview","12");
B=A.fN("Creating a Project","13");
B=A.fN("Finding a Project Element","14");
B=A.fN("Exporting (Generating) Concept and Event Schema (XSD) Files","15");
B=A.fN("Validating a Project or Project Resource","16");
B=A.fN("Working with External Library and Custom Function Paths","17");
B=A.fN("Working with Project Libraries","18");
C=B.fN("Creating (Exporting) a Project Library","18#2388622");
C=B.fN("Adding (and Removing) Project Libraries in a Project","18#2388661");
B=A.fN("Working with Global Variables","19");
C=B.fN("Setting and Overriding Global Variables from a Project Library","19#2469794");
C=B.fN("Adding and Managing Global Variables","19#2455217");
C=B.fN("Using Global Variables","19#2469244");
C=B.fN("Overriding Global Variables at Deploy Time","19#2414126");
C=B.fN("Order of Precedence of Global Variable Overrides","19#2472842");
B=A.fN("Storing Trusted Certificates Outside of Your Project","20");
B=A.fN("Building an Enterprise Archive (EAR File)","21");
C=B.fN("Options for Deploying the EAR","21#2466824");
C=B.fN("Building an EAR File in TIBCO BusinessEvents Studio","21#2402059");
A=P.fN("Chapter\u00a02 TIBCO BusinessEvents Studio Tools Utility","22");
B=A.fN("Building an Enterprise Archive (EAR File) at the Command Line","23");
B=A.fN("Importing a TIBCO BusinessEvents (4.x) Studio Project at the Command Line","24");
B=A.fN("Working With Project Libraries at the Command Line","25");
B=A.fN("Migrating Core Coherence Functions at the Command Line","26");
B=A.fN("Generating All Project Class Files at the Command Line","27");
A=P.fN("Chapter\u00a03 Element Refactoring Operations","28");
B=A.fN("Renaming, Moving, Deleting, and Copy-Pasting Elements","29");
C=B.fN("Project Level Actions","29#2394920");
C=B.fN("Renaming, Moving, and Deleting Elements","29#2415289");
C=B.fN("Copy-Pasting an Element","29#2405668");
B=A.fN("Migrating Core Coherence Functions","30");
B=A.fN("Automatic Refactoring Actions and Limitations","31");
C=B.fN("Refactoring Limitations","31#2388839");
C=B.fN("Refactoring for Move and Rename Operations","31#2388845");
C=B.fN("Refactoring for Delete Operations","31#2388915");
A=P.fN("Chapter\u00a04 Channels and Destinations","32");
B=A.fN("Overview of Channels and Destinations","33");
C=B.fN("Types of Channels","33#2388510");
B=A.fN("Selecting a Serializer","34");
C=B.fN("Deploy-time Configuration","34#2388570");
B=A.fN("Mapping Incoming Messages to Non-default Events","35");
B=A.fN("Working with Rendezvous Channels","36");
C=B.fN("Rendezvous Message Header","36#2388638");
C=B.fN("Basic Serializer","36#2388644");
C=B.fN("Serializer For Use with Payloads","36#2388654");
C=B.fN("Avoiding REGISTRATION COLLISION RVCM Advisory Messages","36#2457596");
B=A.fN("Working with Local Channels","37");
C=B.fN("Event Use Count","37#2388729");
C=B.fN("Using Local Channel Destinations","37#2388736");
B=A.fN("Adding Channels and Destinations","38");
C=B.fN("Adding a Destination to a Channel","38#2388797");
B=A.fN("Communicating with Other Sources using TCP","39");
C=B.fN("Example TCP Rule Function to Start a Local TCP Server","39#2407116");
C=B.fN("Example TCP Rule Function to Connect to a Remote TCP Server","39#2428282");
C=B.fN("APIs for TCP Communication","39#2407144");
B=A.fN("Channel Resource Reference","40");
C=B.fN("Wizard and Configuration Section","40#2388853");
B=A.fN("Destination Resource Reference","41");
A=P.fN("Chapter\u00a05 JMS Channels","42");
B=A.fN("Overview of JMS Channels","43");
B=A.fN("Selecting a JMS Serializer","44");
C=B.fN("BytesMessageSerializer","44#2389400");
C=B.fN("UtfBytesMessageSerializer","44#2503667");
C=B.fN("TextMessageSerializer","44#2389406");
C=B.fN("MessageWithNoBody","44#2503690");
B=A.fN("Creating Unique JMS DurableSubscriber Name Properties","45");
B=A.fN("Setting the JMS Message Acknowledgement Mode","46");
C=B.fN("Using CLIENT_ACKNOWLEDGE Mode with Websphere MQ and Cache-Aside","46#2477190");
B=A.fN("When JMS Messages are Acknowledged","47");
B=A.fN("Using JMS Header Properties in Incoming and Outgoing Messages","48");
C=B.fN("Setting Certain Header Properties in Destinations","48#2389606");
C=B.fN("Setting Header Properties Using Header Properties from Incoming JMS Messages","48#2389616");
C=B.fN("Setting JMS Header Properties in Outgoing JMS Messages Using Event Properties","48#2423100");
C=B.fN("How TIBCO BusinessEvents Sets the JMSReplyTo Header in Outgoing Messages","48#2389654");
B=A.fN("JMS Header Field Names","49");
A=P.fN("Chapter\u00a06 HTTP and SOAP Channels","50");
B=A.fN("Overview of HTTP and SOAP Channels","51");
C=B.fN("SOAP Support","51#2389917");
B=A.fN("Working with HTTP Requests","52");
C=B.fN("Event Based Approach","52#2490500");
C=B.fN("Action Rule Function Based Approach","52#2496834");
C=B.fN("Configuring TIBCO BusinessEvents to Receive and Send HTTP Requests","52#2424048");
B=A.fN("HTTP Channel Advanced Configuration Settings","53");
C=B.fN("Defining Event Properties for Standard HTTP Header Properties","53#2416512");
B=A.fN("Using HTTP Functions to Configure HTTP Request Messages","54");
C=B.fN("Generating a Self-Signed SSL Certificate (Keystore)","54#2390251");
C=B.fN("Getting POST Data","54#2410756");
C=B.fN("Loading Trusted Certificates","54#2410184");
C=B.fN("Sending an Event","54#2410469");
C=B.fN("Sending an Asynchronous Request (Not Secure)","54#2411457");
C=B.fN("Sending a Secure Asynchronous Request","54#2410904");
C=B.fN("Sending a Secure Synchronous Request","54#2429581");
B=A.fN("Configuring TIBCO BusinessEvents as a SOAP Server and Client","55");
C=B.fN("Overview of SOAP Related Resources","55#2390521");
C=B.fN("Mapping of SOAP Request URI to Destination","55#2424517");
C=B.fN("Manually Creating Resources to Work with SOAP Services","55#2390538");
C=B.fN("Creating Resources Using the WSDL Import Utility","55#2390571");
C=B.fN("Exporting Resources as a WSDL File","55#2398884");
B=A.fN("Parsing and Building SOAP Messages","56");
C=B.fN("Working with Incoming SOAP Messages (Event Payloads)","56#2390596");
C=B.fN("Working with Outgoing SOAP Messages (Event Payloads)","56#2390693");
B=A.fN("Understanding the WSDL to Project Resource Mapping","57");
C=B.fN("Example WSDL","57#2473729");
C=B.fN("Example Project Folder Structure","57#2390789");
C=B.fN("How Project Artifacts are Named","57#2390976");
A=P.fN("Chapter\u00a07 HAWK Channel","58");
B=A.fN("Working with the Hawk Channel","59");
C=B.fN("Runtime Configuration for the Hawk Channel","59#2501902");
B=A.fN("Using the Hawk Destination and Event Wizard","60");
C=B.fN("Creating a Destination and Event Using the Wizard","60#2499026");
C=B.fN("Create Event for Hawk Catalog Function Using Wizard","60#2499700");
B=A.fN("Hawk Channel Destination Reference","61");
A=P.fN("Chapter\u00a08 ActiveSpaces Channel","62");
B=A.fN("Basic TIBCO ActiveSpaces Concepts and Terminology","63");
B=A.fN("Working with ActiveSpaces Channels","64");
C=B.fN("Creating a Destination and Event Using the Wizard","64#2493749");
C=B.fN("Configuring the Destination and Default Event Manually","64#2493997");
A=P.fN("Chapter\u00a09 Simple Events","65");
B=A.fN("Overview of Simple Events","66");
C=B.fN("Using Inheritance","66#2388444");
B=A.fN("Working with Events in Rules","67");
C=B.fN("Explicitly Assert Events Created in Rules","67#2397386");
C=B.fN("Specifying Default and Non-Default Destinations","67#2397271");
C=B.fN("Scheduling Simple Events","67#2397395");
B=A.fN("Adding a Simple Event","68");
C=B.fN("Defining Payloads Using XML Schema Files","68#2402586");
B=A.fN("Simple Event Reference","69");
C=B.fN("Wizard and Configuration (Standard Tab)","69#2388493");
C=B.fN("Properties (Standard Tab)","69#2388591");
C=B.fN("Declaration and Expiry Action (Advanced Tab)","69#2390889");
C=B.fN("Payload (Advanced Tab)","69#2388639");
B=A.fN("Simple Event Attributes Reference","70");
A=P.fN("Chapter\u00a010 Time Events and Scheduler Functions","71");
B=A.fN("Overview of Time Events","72");
C=B.fN("Scheduled Time Events","72#2388977");
C=B.fN("Rule Based Time Events","72#2388991");
B=A.fN("Working With Time Events","73");
C=B.fN("Adding a Time Event","73#2389004");
C=B.fN("Configuring a Rule Based Time Event in a Rule or Rule Function","73#2389030");
B=A.fN("TimeEvent Resource Reference","74");
C=B.fN("Wizard and Configuration Tab","74#2389059");
B=A.fN("TimeEvent Attributes Reference","75");
B=A.fN("Rule Based TimeEvent Function Reference","76");
B=A.fN("Using Scheduler Functions (Requires Cache OM)","77");
A=P.fN("Chapter\u00a011 Advisory Events","78");
B=A.fN("Working With Advisory Events","79");
C=B.fN("Uses of Advisory Events","79#2389256");
C=B.fN("Adding an Advisory Event to a Rule","79#2389305");
B=A.fN("Advisory Event Attributes Reference","80");
A=P.fN("Chapter\u00a012 Concepts","81");
B=A.fN("Overview of Concepts","82");
B=A.fN("Adding Concepts and Concept Relationships","83");
C=B.fN("Adding a Concept","83#2388447");
C=B.fN("Adding Concept Relationships","83#2388472");
B=A.fN("Concept Resource Reference","84");
C=B.fN("Wizard and Configuration Tab","84#2388531");
C=B.fN("Properties","84#2388596");
C=B.fN("Metadata","84#2388679");
B=A.fN("Concept Attributes Reference","85");
A=P.fN("Chapter\u00a013 Scorecards","86");
B=A.fN("Understanding and Working With Scorecards","87");
C=B.fN("Adding a Scorecard","87#2389047");
C=B.fN("Using a Scorecard in Rules","87#2389063");
C=B.fN("Scorecard Resource Reference","87#2389069");
A=P.fN("Chapter\u00a014 Domain Models","88");
B=A.fN("Overview of Domain Models","89");
C=B.fN("Domain Model Value Descriptions for User Friendly Presentation","89#2399201");
B=A.fN("Adding a Domain Model","90");
B=A.fN("Importing and Exporting Domain Models","91");
C=B.fN("Export To and Import From Excel","91#2399340");
C=B.fN("Import From a Database Table","91#2399398");
B=A.fN("Associating Domain Models with Properties","92");
B=A.fN("Validating Data in Domain Models","93");
A=P.fN("Chapter\u00a015 Shared Resources","94");
B=A.fN("Adding a Shared Resource","95");
C=B.fN("Enabling the Test Connection Feature","95#1694034");
B=A.fN("ActiveSpaces Connection","96");
C=B.fN("Wizard and Configuration Tab","96#1696676");
B=A.fN("Hawk Connection","97");
C=B.fN("Wizard and Configuration Tab","97#1697555");
B=A.fN("HTTP Connection","98");
C=B.fN("Wizard and Configuration Tab","98#1675181");
C=B.fN("Configure SSL","98#1675233");
B=A.fN("Identity Resource","99");
C=B.fN("Wizard and Configuration Tab","99#1678945");
B=A.fN("JDBC Connection","100");
C=B.fN("Wizard and Configuration Tab","100#1676047");
C=B.fN("Connection Pooling","100#1678425");
C=B.fN("Test Connection Button","100#1678434");
B=A.fN("JMS Application Properties","101");
C=B.fN("Wizard and Configuration Tab","101#1686687");
B=A.fN("JMS Connection","102");
C=B.fN("Wizard and Configuration Tab","102#1676395");
C=B.fN("Test Connection Button","102#1676595");
C=B.fN("Advanced Tab","102#1677771");
C=B.fN("Configure SSL","102#1676647");
B=A.fN("JNDI Configuration","103");
C=B.fN("Wizard and Configuration Tab","103#1676193");
C=B.fN("Advanced Section","103#1690679");
B=A.fN("Rendezvous Transport","104");
C=B.fN("Wizard and Configuration Tab","104#1677456");
C=B.fN("Configure SSL Button","104#1677570");
C=B.fN("Advanced Section","104#1677589");
A=P.fN("Chapter\u00a016 Rules and Rule Functions","105");
B=A.fN("Overview of Rules and Rule Functions","106");
C=B.fN("Form-based and Source Rule Editors","106#2388424");
C=B.fN("Rule Components","106#2410830");
C=B.fN("Effect of Cache Only Cache Mode","106#2388457");
B=A.fN("Adding a Rule","107");
B=A.fN("Rule Editor Reference","108");
B=A.fN("Adding a Rule Function","109");
B=A.fN("Rule Function Resource Reference","110");
B=A.fN("Using Variables and Functions in the Rule Editor","111");
C=B.fN("Using Catalog Functions in the Rule Editor","111#2421632");
C=B.fN("Using Global Variables in the Rule Editor","111#2410449");
C=B.fN("Using the Function Argument Mapper","111#2410424");
B=A.fN("Using Priority and Rank to Control Order of Rule Execution","112");
B=A.fN("Using the Quick Fix Feature in the Rule Editor","113");
B=A.fN("Tips for Working in the Rule Editor","114");
B=A.fN("Event Preprocessors","115");
C=B.fN("Configuring an Event Preprocessor","115#2388835");
B=A.fN("Transaction Error Handler Rule Function","116");
A=P.fN("Chapter\u00a017 Rule Templates","117");
B=A.fN("Rule Template and Rule Template View Overview","118");
C=B.fN("The Rule Template Editor","118#2394790");
C=B.fN("Rule Template Views","118#2394851");
B=A.fN("Adding a Rule Template","119");
B=A.fN("Adding a Rule Template View","120");
B=A.fN("Rule Template Editor Reference","121");
A=P.fN("Chapter\u00a018 Functions","122");
B=A.fN("Overview of Catalog Functions","123");
C=B.fN("Built-in Functions","123#2394828");
C=B.fN("Custom Functions","123#2394937");
C=B.fN("Ontology Functions","123#2394942");
C=B.fN("Enabling Extended Functions","123#2394954");
B=A.fN("Function Tooltips and Decorations","124");
C=B.fN("Tool Tips","124#2394976");
C=B.fN("Decorations Indicating Where Functions can be Called","124#2394997");
B=A.fN("Temporal Functions and Their Parameters","125");
B=A.fN("Virtual Rule Functions and VRF Catalog Functions","126");
B=A.fN("Cache Related Functions","127");
B=A.fN("Indexing for More Efficient Cache Queries","128");
C=B.fN("Enabling Explicit Tuple Format for TIBCO BusinessEvents DataGrid Fields","128#2400119");
C=B.fN("Example Rule Function for a TIBCO BusinessEvents DataGrid Cache","128#2400203");
B=A.fN("Oracle Coherence Cache Query Functions","129");
C=B.fN("Constants, Extractors, and Filters Categories","129#2404623");
C=B.fN("Query Category","129#2404635");
B=A.fN("Adding Custom Functions","130");
C=B.fN("Task Summary","130#2395400");
B=A.fN("Restrictions on Use of Custom Functions","131");
C=B.fN("Static and Non-Static Functions","131#2395440");
C=B.fN("Return Types","131#2395444");
C=B.fN("Name Overloading","131#2395456");
C=B.fN("Editing Custom Functions","131#2395469");
B=A.fN("Example Custom Function with Tooltips","132");
B=A.fN("Structure of a Function Catalog","133");
C=B.fN("Example Function Catalog","133#2395548");
C=B.fN("Elements in the Function Catalog","133#2395598");
C=B.fN("Using the Reevaluate Element","133#2395722");
A=P.fN("Chapter\u00a019 Rule Language Grammar","134");
B=A.fN("Rule Language Basics","135");
C=B.fN("Whitespace","135#2388419");
C=B.fN("Comments","135#2388430");
C=B.fN("Separators","135#2388440");
C=B.fN("Identifier Naming Requirements","135#2388461");
C=B.fN("Local Variables","135#2388488");
C=B.fN("Literals","135#2388656");
C=B.fN("Escape Sequences","135#2388673");
C=B.fN("Operators","135#2388719");
B=A.fN("Keywords and Other Reserved Words","136");
B=A.fN("Attributes","137");
B=A.fN("Working with Concept and Event Properties","138");
C=B.fN("Accessing a Concept Property Atom","138#2389073");
C=B.fN("Working with Concept Property Arrays","138#2389117");
C=B.fN("Event Property","138#2389147");
B=A.fN("Exception Handling","139");
C=B.fN("Syntax","139#2389172");
C=B.fN("Examples","139#2391988");
B=A.fN("Flow Control","140");
C=B.fN("if/else","140#2389238");
C=B.fN("for","140#2389248");
C=B.fN("while","140#2389266");
A=P.fN("Chapter\u00a020 Rule Language Datatypes","141");
B=A.fN("Concept Properties to XML Datatype Conversions","142");
B=A.fN("Compatibility of Operators with Types","143");
B=A.fN("Correcting Inconsistencies of Type","144");
C=B.fN("String Operands","144#2389898");
C=B.fN("Arithmetic Expressions","144#2389906");
C=B.fN("Assignment Conversion","144#2389918");
C=B.fN("Function Argument Conversion","144#2389923");
A=P.fN("Chapter\u00a021 Mapping and Transforming Data","145");
B=A.fN("Overview of Mapping and Transformation","146");
C=B.fN("Function Section","146#1675214");
C=B.fN("Input Section","146#1675320");
C=B.fN("Mapping and Transforming Data to Function Input","146#1673125");
C=B.fN("Statements, Hints, and Errors","146#1673143");
B=A.fN("Buttons, Menus, and Icons","147");
C=B.fN("Toolbar and Right-Click Menu on the Input Section","147#1673164");
C=B.fN("Icons for Schema Element Datatypes","147#1673421");
C=B.fN("Qualifier Icons","147#1673513");
B=A.fN("Specifying Constants","148");
C=B.fN("Date and Datetime Strings in Constants","148#1673589");
B=A.fN("Data Validation","149");
B=A.fN("Repairing Incorrect Mappings","150");
B=A.fN("Shortcuts","151");
C=B.fN("Statement Menu Options","151#1673830");
C=B.fN("Dragging to the Left","151#1673842");
C=B.fN("Cutting and Pasting","151#1673863");
C=B.fN("Automatic Testing (at Runtime)","151#1689518");
B=A.fN("Examples of Mappings","152");
C=B.fN("Setting an Element Explicitly to Nil","152#1673960");
C=B.fN("Merging Input from Multiple Sources","152#1690538");
C=B.fN("Converting a List Into a Grouped List","152#1690596");
C=B.fN("Merging Two Corresponding Lists","152#1690641");
C=B.fN("Coercions","152#1690688");
B=A.fN("XSLT Statements","153");
C=B.fN("Attribute","153#1674179");
C=B.fN("Choose","153#1674190");
C=B.fN("Comment","153#1674203");
C=B.fN("Copy","153#1674208");
C=B.fN("Copy-Contents-Of","153#1674213");
C=B.fN("Copy-Of","153#1674221");
C=B.fN("Element","153#1674226");
C=B.fN("For-Each","153#1674231");
C=B.fN("For-Each-Group","153#1691123");
C=B.fN("Generate Comment","153#1674249");
C=B.fN("Generate PI","153#1674254");
C=B.fN("If","153#1674259");
C=B.fN("Value-Of","153#1674270");
C=B.fN("Variable","153#1674275");
A=P.fN("Chapter\u00a022 XPath Formula Builder","154");
B=A.fN("XPath Basics","155");
C=B.fN("Addressing Schema Elements","155#1674314");
C=B.fN("Evaluation Context","155#1674328");
C=B.fN("Namespaces","155#1674331");
C=B.fN("Search Predicates","155#1674336");
C=B.fN("Testing for Nil","155#1674352");
C=B.fN("Comments","155#1674356");
B=A.fN("The XPath Formula Builder","156");
B=A.fN("String Representations of Datatypes","157");
B=A.fN("Date and Time Functions","158");
A=P.fN("Chapter\u00a023 Cluster Deployment Descriptor (CDD)","159");
B=A.fN("Cluster Deployment Descriptor Overview","160");
C=B.fN("Maintaining the CDD File","160#1678602");
C=B.fN("Defining and Configuring the Cluster and Object Management Type","160#1678440");
C=B.fN("Configuring Management of Domain (Entity) Object Instances","160#1676559");
C=B.fN("Defining and Configuring Agent Classes and Processing Units","160#1676320");
B=A.fN("How CDD Settings Apply at Runtime","161");
C=B.fN("Using Properties at Different Levels","161#1680303");
C=B.fN("Order of Precedence at Runtime","161#1680315");
B=A.fN("Setting Global Variables in the CDD File (for Command Line Startup)","162");
B=A.fN("Adding a Cluster Deployment Descriptor (CDD)","163");
B=A.fN("CDD Cluster Tab General Settings Reference","164");
A=P.fN("Chapter\u00a024 Cache OM and Cluster Configuration","165");
B=A.fN("Cache Object Management Configuration","166");
C=B.fN("Configuring a Limited (or Unlimited) Cache","166#1864084");
C=B.fN("Ensuring Multiple Clusters Do Not Conflict","166#1863666");
B=A.fN("CDD Cluster Tab Cache OM Settings Reference","167");
B=A.fN("Synchronous and Asynchronous Replication of Cache Objects","168");
B=A.fN("Property for Cache Based Object Management on AIX","169");
B=A.fN("Configuring Cluster Discovery and Internal Communication","170");
B=A.fN("Configuring the TIBCO BusinessEvents DataGrid Discover URL","171");
C=B.fN("Multicast (PGM) Cluster Member Discovery","171#1840903");
C=B.fN("Unicast (Well-Known Address) Cluster Member Discovery","171#1868443");
B=A.fN("Configuring the TIBCO BusinessEvents DataGrid Listen URL","172");
B=A.fN("CDD Cluster Tab TIBCO BusinessEvents DataGrid Properties Reference","173");
B=A.fN("Enabling Use of Oracle Coherence as the Cache Provider","174");
B=A.fN("Configuring Oracle Coherence Cluster Discovery","175");
C=B.fN("Guidelines for Managing Coherence Clusters","175#1848804");
C=B.fN("Configuring Multicast Cluster Discovery for Coherence Clusters","175#1802329");
C=B.fN("Configuring Well-Known Address Cluster Discovery for Coherence Clusters","175#1802196");
B=A.fN("CDD Cluster Tab Coherence Properties Reference","176");
A=P.fN("Chapter\u00a025 Load Balancer Configuration","177");
B=A.fN("Understanding Load Balancing Options","178");
C=B.fN("Basic Load Balancing","178#1869095");
C=B.fN("Content-aware Load Balancing","178#1869102");
B=A.fN("Content-Aware Load Balancer Configuration","179");
B=A.fN("Adhoc Load Balancer Configuration","180");
C=B.fN("Router Configuration","180#1867910");
C=B.fN("Receiver Configuration","180#1877701");
C=B.fN("Receiver Membership Functions in Catalog","180#1873323");
B=A.fN("CDD Load Balancer Tab Properties Reference","181");
A=P.fN("Chapter\u00a026 Backing Store Configuration","182");
B=A.fN("Configuring Backing Store Settings and Properties","183");
B=A.fN("CDD Cluster Tab Backing Store Settings Reference","184");
B=A.fN("CDD Cluster Tab Backing Store Properties Reference","185");
B=A.fN("Setting up Shared Nothing Persistence","186");
A=P.fN("Chapter\u00a027 Berkeley DB Shared All Persistence","187");
B=A.fN("Berkeley DB Shared All Persistence Overview","188");
B=A.fN("Configuring the Berkeley DB Shared All Persistence Option","189");
B=A.fN("Reference to Berkeley DB Shared All Persistence CDD Properties","190");
B=A.fN("Reference To Berkeley DB (JE) Properties","191");
A=P.fN("Chapter\u00a028 Domain Objects Configuration","192");
B=A.fN("Configuring Domain Object Settings","193");
C=B.fN("Configuring Preloading Options","193#1676839");
B=A.fN("CDD Cluster Tab Domain Objects Default Settings Reference","194");
B=A.fN("CDD Cluster Tab Domain Object Override Settings Reference","195");
A=P.fN("Chapter\u00a029 Agent and Processing Unit Configuration","196");
B=A.fN("Collections, Agent Classes, and Processing Units","197");
C=B.fN("Collections","197#1680504");
C=B.fN("Agent Classes","197#1678557");
C=B.fN("How Collections and Individual Resources are Used to Configure Agents","197#1680412");
C=B.fN("Log Configurations","197#1675229");
B=A.fN("Configuring Collections of Rules, Rule Functions, and Destinations","198");
B=A.fN("CDD Collections Tab Input Destination Settings Reference","199");
B=A.fN("Configuring Agent Classes (All OM Types)","200");
B=A.fN("CDD Agent Classes Tab Settings Reference","201");
B=A.fN("CDD Agent Classes Tab Properties Reference","202");
B=A.fN("Understanding and Configuring Log Configurations","203");
C=B.fN("Log File Settings","203#1685212");
C=B.fN("Understanding Log Configuration Levels and Syntax","203#1685338");
C=B.fN("Configuring Log Configurations","203#1680815");
B=A.fN("CDD Collections Tab Log Configurations Settings Reference","204");
B=A.fN("Logging for TIBCO BusinessEvents DataGrid","205");
B=A.fN("Configuring Processing Units (All OM Types)","206");
B=A.fN("CDD Processing Units Tab Settings Reference","207");
B=A.fN("CDD Processing Units Tab Coherence Log Properties Reference","208");
B=A.fN("CDD Processing Units Tab JMS Server Connection Properties","209");
A=P.fN("Chapter\u00a030 JDBC Backing Store Setup","210");
B=A.fN("JDBC Backing Store Setup and Configuration Overview","211");
C=B.fN("Backing Store Setup","211#1715558");
C=B.fN("Backing Store Configuration","211#1722863");
B=A.fN("Cases That May Need Additional Setup","212");
C=B.fN("Ontology Identifiers that Exceed the DBMS Maximum Column Length","212#1674711");
C=B.fN("Ontology Identifiers that Use Database Key Words","212#1689410");
C=B.fN("String Properties that Exceed the DBMS Maximum Column Length","212#1710026");
C=B.fN("Excluding Entities from the Backing Store","212#1728174");
B=A.fN("Resources Required for Setting Up the Database","213");
C=B.fN("Provided Configuration Resources","213#1674783");
B=A.fN("DBMS Software Requirements and Installation","214");
B=A.fN("Configure the CDD for Special Cases (As Needed)","215");
B=A.fN("Add a JDBC Connection Resource (Now or Later)","216");
B=A.fN("Configure Backing Store Settings in the CDD (Now or Later)","217");
B=A.fN("Build the EAR File","218");
B=A.fN("Initialize the Database and Generate Non-Project Tables","219");
B=A.fN("Generate the Project-Schema-Specific SQL Scripts","220");
B=A.fN("Check the Aliases File, Run the Project Schema Script","221");
B=A.fN("Updating an Existing Backing Store Schema","222");
C=B.fN("Preparing to Run and Running the Schema Update Utility","222#1677371");
C=B.fN("What the Schema Update Utility Can and Cannot Handle Automatically","222#1724031");
B=A.fN("Handling Entities Deleted from a Write-Behind Backing Store","223");
B=A.fN("Backing Store Table Reference","224");
C=B.fN("Primary Tables","224#1702264");
C=B.fN("Secondary Tables","224#1702275");
C=B.fN("Reverse Reference Tables","224#1702363");
C=B.fN("Class-to-Table Mapping","224#1702384");
A=P.fN("Chapter\u00a031 Introduction to WebStudio","225");
B=A.fN("Introduction to TIBCO BusinessEvents WebStudio","226");
C=B.fN("Technical User Tasks","226#1737398");
C=B.fN("Business User Task","226#1737801");
B=A.fN("Introduction to Rules Management Server (RMS)","227");
B=A.fN("WebStudio and RMS User Workflow","228");
A=P.fN("Chapter\u00a032 Configuring RMS and RMS Projects","229");
B=A.fN("RMS Project Directory Structure","230");
C=B.fN("Adding a Project to RMS","230#1735205");
B=A.fN("Configuring RMS Server Properties","231");
C=B.fN("Configuring RMS Server Properties","231#1735246");
C=B.fN("Enabling Remote Connection to RMS from WebStudio","231#1735324");
B=A.fN("RMS Server Configuration Property Reference","232");
A=P.fN("Chapter\u00a033 Working With Projects in WebStudio","233");
B=A.fN("Starting and Logging in to RMS","234");
C=B.fN("Status Check for RMS Connection","234#4201955");
B=A.fN("Checking Out a Project","235");
B=A.fN("Updating (Synchronizing) a Project","236");
B=A.fN("Committing Artifacts for Approval","237");
A=P.fN("Chapter\u00a034 Working with Decision Tables in WebStudio","238");
B=A.fN("Working With Decision Tables","239");
C=B.fN("Create/Remove a Decision Table","239#4240536");
C=B.fN("Edit a Decision Table","239#4227461");
C=B.fN("Export a Decision Table","239#4224506");
C=B.fN("Import a Decision Table","239#4246942");
B=A.fN("Understanding Columns and Rows (Rules) in a Decision Table","240");
C=B.fN("Conditions and Actions","240#4245480");
C=B.fN("Regular and Custom Conditions and Actions","240#4245491");
B=A.fN("Working With Rows and Columns in WebStudio","241");
C=B.fN("Add Condition and Action Columns","241#4245631");
C=B.fN("Working with Columns","241#4237032");
C=B.fN("Add a Row","241#4224383");
C=B.fN("Setting Rule (Row) Priorities","241#4246541");
C=B.fN("Filter the Rows","241#4224064");
C=B.fN("Remove a Row","241#4224359");
B=A.fN("Supported Operators","242");
C=B.fN("Using Operators in Tables","242#4245861");
B=A.fN("Analyze a Decision Table","243");
B=A.fN("Validate a Decision Table","244");
A=P.fN("Chapter\u00a035 Business Rules","245");
B=A.fN("Business Rules Overview","246");
B=A.fN("Working with Business Rules","247");
C=B.fN("Adding Business Rules","247#1711738");
C=B.fN("Export a Business Rule","247#1714051");
C=B.fN("Deleting Business Rules","247#1711649");
B=A.fN("Business Rule Operators","248");
A=P.fN("Chapter\u00a036 Working with the Approval Workflow in RMS","249");
B=A.fN("Working with the Approval Workflow\u2014Overview","250");
C=B.fN("Approval Status Values","250#4226913");
B=A.fN("Checking a Worklist and Taking Action","251");
A=P.fN("Chapter\u00a037 Deployable Files Generation","252");
B=A.fN("Generating Deployable Files (EAR and Class Files)","253");
C=B.fN("Generating the Project EAR or All Project Class Files","253#4205867");
C=B.fN("Generating One Decision Table\u2019s Class File","253#4224014");
C=B.fN("Generating One Business Rule\u2019s Rule Template Instance File","253#4229326");
A=P.fN("Chapter\u00a038 ActiveMatrix BusinessWorks Integration","254");
B=A.fN("Overview of Integration with ActiveMatrix BusinessWorks","255");
C=B.fN("The Container and the Contained Engine","255#1689318");
B=A.fN("Integration Components","256");
C=B.fN("ActiveMatrix BusinessWorks Activities Palette","256#1685099");
C=B.fN("TIBCO BusinessEvents Functions","256#1675416");
B=A.fN("Design Considerations","257");
C=B.fN("Integration Scope","257#1675856");
C=B.fN("Thread Management","257#1675872");
C=B.fN("Design Considerations Related to Container","257#1675922");
C=B.fN("Fault Tolerance With a TIBCO BusinessEvents Container","257#1676057");
C=B.fN("Tips for Working With ActiveMatrix BusinessWorks Containers","257#1676085");
B=A.fN("Configuring the Environment for ActiveMatrix BusinessWorks Containers","258");
B=A.fN("Configuring the Environment For TIBCO BusinessEvents Containers","259");
B=A.fN("Configuring a RuleServiceProvider Configuration Resource","260");
B=A.fN("TIBCO BusinessEvents RuleServiceProvider Configuration Resource Reference","261");
C=B.fN("Configuration","261#1692254");
B=A.fN("Working With the TIBCO BusinessEvents Activities","262");
B=A.fN("Receive Event Resource Reference","263");
C=B.fN("Configuration","263#1679527");
C=B.fN("Misc","263#1679563");
C=B.fN("Output","263#1679587");
B=A.fN("Send Event Resource Reference","264");
C=B.fN("Configuration","264#1679613");
C=B.fN("Input","264#1688859");
B=A.fN("Wait for Event Resource Reference","265");
C=B.fN("Configuration","265#1679673");
C=B.fN("Event","265#1679709");
C=B.fN("Input","265#1679737");
C=B.fN("Output","265#1679759");
B=A.fN("Invoking a TIBCO BusinessEvents Rule Function from a Process","266");
C=B.fN("Specifying Input Arguments","266#1682500");
C=B.fN("Using Synchronous Invocation","266#1682514");
C=B.fN("Using the lockWM Parameter","266#1682525");
C=B.fN("Overriding the Rule Function at Runtime","266#1682537");
B=A.fN("Working With Invoke RuleFunction Activities","267");
B=A.fN("Invoke RuleFunction Resource Reference","268");
C=B.fN("Configuration","268#1682612");
C=B.fN("Input","268#1682665");
C=B.fN("Output","268#1682710");
B=A.fN("Working with the BusinessWorks Functions","269");
C=B.fN("Providing Paths to TIBCO BusinessEvents Project Resources Using Schemas","269#1699243");
C=B.fN("Using invokeProcess()","269#1682733");
C=B.fN("Using startProcess()","269#1682832");
C=B.fN("Using cancelProcess()","269#1682926");
C=B.fN("Using init()","269#1682934");
C=B.fN("Using shutdown()","269#1682962");
A=P.fN("Chapter\u00a039 TIBCO BusinessEvents Performance Profiler","270");
B=A.fN("Overview of Profiler","271");
B=A.fN("Changing the Delimiter Character","272");
B=A.fN("Turning Profiler On and Off","273");
C=B.fN("To Turn Profiler On and Off Using TIBCO BusinessEvents Monitoring and Management","273#2389345");
C=B.fN("To Turn Profiler On and Off Using Properties","273#2390503");
C=B.fN("To Turn Profiler On and Off Using Functions","273#2388555");
C=B.fN("To Turn Profiler On and Off Using TIBCO Hawk Methods","273#2388597");
B=A.fN("Profiler Reference","274");
A=P.fN("Chapter\u00a040 Testing and Debugging Projects","275");
B=A.fN("Overview of Testing and Debugging Projects","276");
C=B.fN("Debugging Projects","276#2403330");
C=B.fN("Testing Projects","276#2399445");
C=B.fN("Launch Configurations","276#2404632");
C=B.fN("Test Data","276#2404479");
C=B.fN("The Rule Agenda and Variable Views","276#2404679");
C=B.fN("Viewing and Understanding Results","276#2420763");
B=A.fN("Preparing to Run (Test) or Debug a Project","277");
C=B.fN("Build an EAR File","277#2388406");
C=B.fN("Create Test Data (as Desired)","277#2401882");
C=B.fN("For Remote Debugging Only, Configure Java Debug Interface (JDI)","277#2403917");
B=A.fN("Adding and Working with Launch (Debug or Run) Configurations","278");
B=A.fN("Launch Configurations Reference","279");
C=B.fN("For Testing and Local Debugging","279#2390492");
C=B.fN("For Remote Debugging","279#2390734");
B=A.fN("Creating and Working With Test Data","280");
C=B.fN("Working with Concept and Event Test Data","280#2406553");
C=B.fN("Working with Rule Data","280#2406437");
B=A.fN("Setting Breakpoints in Rules and Rule Functions","281");
B=A.fN("Running Debugger","282");
B=A.fN("Running Tester","283");
B=A.fN("Asserting Rule Input Data","284");
B=A.fN("Viewing the Results","285");
C=B.fN("Understanding Result Data","285#2408761");
C=B.fN("Viewing and Understanding Working Memory Contents","285#2408783");
A=P.fN("Chapter\u00a041 Diagrams","286");
B=A.fN("Overview of Diagrams","287");
B=A.fN("Working with Diagrams","288");
C=B.fN("Configuring Diagram Preferences and Properties","288#2468343");
C=B.fN("Performing Common Tasks","288#2443447");
C=B.fN("Using Diagram Tools","288#2443544");
C=B.fN("Exporting a Diagram to an Image","288#2449143");
C=B.fN("Printing a Diagram","288#2449159");
C=B.fN("Setting Diagram Preferences","288#2452670");
B=A.fN("Project Analyzer and Selected Entity Project Diagrams","289");
C=B.fN("Advantages of Project Analyzer and Selected Entity Project Diagrams","289#2447245");
C=B.fN("Working with Project Analyzer and Selected Entity Project Diagrams","289#2447272");
B=A.fN("Dependency Diagrams","290");
B=A.fN("Sequence Diagrams","291");
B=A.fN("Concept Model Diagrams","292");
B=A.fN("Event Model Diagrams","293");
B=A.fN("Diagram Options and Tools Reference","294");
C=B.fN("Layout Options","294#2419550");
A=P.fN("Chapter\u00a042 TIBCO BusinessEvents Studio Preferences","295");
B=A.fN("Setting Preferences","296");
C=B.fN("Preference Sections","296#2465685");
B=A.fN("Decision Table Related Preferences","297");
C=B.fN("Decision Table Analyzer Preferences","297#2479918");
C=B.fN("Decision Table Appearance Preferences","297#2479923");
C=B.fN("Compare/Merge Preferences","297#2479929");
B=A.fN("Diagram Preferences","298");
B=A.fN("Tester Preferences","299");
A=P.fN("Appendix\u00a0A Understanding Entity Caches","300");
B=A.fN("Entity Cache Names Format","300#1674855");
B=A.fN("Caches for Ontology Objects","300#1674883");
B=A.fN("Caches for Internal Entities","300#1674888");
A=P.fN("Appendix\u00a0B Handling Null Properties","301");
B=A.fN("Handling Null Concept Property Values","302");
C=B.fN("Enabling Use of the Nillable Attribute","302#1675329");
C=B.fN("Enabling Null Property Values to Appear When Serializing Concepts to XML","302#1674864");
C=B.fN("Examples of Nillable Attribute and Null Properties Settings","302#1674872");
C=B.fN("Enabling and Setting Special Treatment of Numeric and Boolean Null Values","302#1674903");
C=B.fN("Setting Runtime Properties for Special Treatment of Null Values","302#1674966");
C=B.fN("Property Reference for Null Property Handling","302#1674993");
}
