function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Changes from the Previous Release of this Guide","5");
B=A.fN("TIBCO BusinessEvents Express","6");
B=A.fN("Related Documentation","7");
var C=B.fN("TIBCO BusinessEvents and Add-On Product Documentation","7#60885");
C=B.fN("Accessing TIBCO BusinessEvents Functions Reference Documentation","7#61124");
C=B.fN("Other TIBCO Product Documentation","7#61136");
B=A.fN("Typographical Conventions","8");
B=A.fN("Connecting with TIBCO Resources","9");
C=B.fN("How to Join TIBCOmmunity","9#61166");
C=B.fN("How to Access TIBCO Documentation","9#61178");
C=B.fN("How to Contact TIBCO Support","9#61187");
A=P.fN("Chapter\u00a01 Introduction to Administration","10");
B=A.fN("Overview of Administration","11");
C=B.fN("Building EAR Files for Deployment","11#1678430");
C=B.fN("Deploy-Time Configuration","11#1677665");
C=B.fN("Deployment","11#1677741");
C=B.fN("Management and Monitoring","11#1677808");
C=B.fN("Authentication and Authorization","11#1674923");
B=A.fN("Engine Startup and Shutdown Sequence","12");
C=B.fN("Startup Sequence","12#1676090");
C=B.fN("Shutdown Sequence","12#1676114");
B=A.fN("Order of Precedence at Runtime","13");
B=A.fN("Determining the Engine Name","14");
A=P.fN("Chapter\u00a02 JVM-Level TRA File Configuration","15");
B=A.fN("Updating Classpath, Environment Variables, Path, and Copying JAR Files","15#1676271");
B=A.fN("Property for Cache Based Object Management on AIX","15#1676721");
A=P.fN("Chapter\u00a03 Basic MM Configuration","16");
B=A.fN("Overview of MM Configuration","17");
C=B.fN("Before You Begin","17#1686694");
C=B.fN("MM Runtime Architecture","17#1691074");
C=B.fN("Summary of Configuration Tasks","17#1695060");
B=A.fN("Install and Configure Software for Remote Start and Deployment","18");
C=B.fN("SSH","18#1686733");
C=B.fN("TIBCO Hawk","18#1713806");
C=B.fN("PsTools","18#1686784");
B=A.fN("Install and Configure TIBCO Hawk for Machine Level Metrics","19");
B=A.fN("Configure JMX Properties in To-Be-Monitored Engine TRA Files","20");
B=A.fN("Configure User Authorization for Administrator and User Roles","21");
B=A.fN("Site Topology Overview","22");
C=B.fN("Editing the Site Topology File in a Text Editor or in the Graphical Editor","22#1687382");
C=B.fN("Summary of Site Topology Configuration","22#1697178");
C=B.fN("Project, Master, and Deployed Locations of CDD and EAR Files","22#1687423");
C=B.fN("Deployment-Specific Processing Units","22#1687444");
C=B.fN("Global Variables","22#1708367");
B=A.fN("Configure the Site Topology in TIBCO BusinessEvents Studio","23");
B=A.fN("Site Topology Reference","24");
C=B.fN("Site Settings","24#1687539");
C=B.fN("Cluster Settings","24#1687587");
C=B.fN("Deployment Unit Settings","24#1687661");
C=B.fN("Processing Unit Settings","24#1687720");
C=B.fN("Host Settings","24#1699378");
B=A.fN("Basic MM Settings in MM.cdd","25");
B=A.fN("MM Agent Basic Configuration Reference","26");
C=B.fN("Configuring Broker Properties for Working with Coherence Cache Provider","26#1719772");
B=A.fN("Configuring for Coherence WKA Cluster Discovery","27");
B=A.fN("Configuring for TIBCO BusinessEvents DataGrid WKA Discovery","28");
B=A.fN("Configure MM Console Properties","29");
A=P.fN("Chapter\u00a04 MM Metrics and Features Configuration","30");
B=A.fN("Overview of Configuring MM Alerts, Thresholds, and Actions","31");
B=A.fN("Understanding and Configuring Alerts","32");
C=B.fN("Understanding Alerts","32#1712832");
C=B.fN("Configuring Alerts","32#1710838");
B=A.fN("Alert Configuration Reference","33");
B=A.fN("Specifying the Path to an Alert Metric Value (and a Reference Value)","34");
C=B.fN("Specifying the Alert Message","34#1711040");
B=A.fN("Pane Types Reference for Alert Configuration","35");
B=A.fN("Understanding Health Metric Rules","36");
C=B.fN("Cluster Member Paths","36#1706117");
C=B.fN("Two Types of Thresholds","36#1706284");
C=B.fN("Health Metric Rule Examples","36#1713154");
B=A.fN("Configuring Health Metric Rules","37");
B=A.fN("Health Metric Rule Configuration Reference","38");
B=A.fN("Configuring Actions","39");
B=A.fN("Action Configuration Reference","40");
A=P.fN("Chapter\u00a05 Deploying and Managing Engines with MM","41");
B=A.fN("Starting MM Server and Logging On to the Console","42");
B=A.fN("Setting Global Variables in MM","43");
B=A.fN("Deploying Engines with MM","44");
C=B.fN("Before Deployment \u2014 Copy Custom Function and Third-Party Jars","44#1771912");
C=B.fN("Deploying Cluster Engines in MM Console","44#1766705");
C=B.fN("Hot Deployment","44#1781466");
B=A.fN("Deploying, Starting, Stopping PUs with the MM-tools Utility","45");
C=B.fN("Configuring the MM Tools Utility TRA File","45#1778092");
C=B.fN("Using Public/Private Key Authentication with mm-tools","45#1782792");
C=B.fN("Deploying, Starting, or Stopping a Remote Engine","45#1782776");
C=B.fN("mm-tools Utility Options Reference","45#1757899");
A=P.fN("Chapter\u00a06 Monitoring and Managing a TIBCO BusinessEvents Cluster with MM","46");
B=A.fN("Overview of Monitoring a TIBCO BusinessEvents Cluster","47");
C=B.fN("Reference to the Metrics","47#1676186");
C=B.fN("Health Indicators and Alerts","47#1676202");
B=A.fN("Cluster Explorer","48");
C=B.fN("Predefined and Unpredefined Members","48#1766470");
C=B.fN("Inactive Members","48#1676285");
B=A.fN("Working with Cluster Explorer","49");
C=B.fN("Navigating Cluster Explorer","49#1781886");
C=B.fN("Starting, Stopping, Pausing, and Resuming Cluster Engines","49#1782050");
C=B.fN("Purging Inactive Unpredefined Processes","49#1771127");
C=B.fN("Viewing Monitored Objects","49#1771129");
C=B.fN("Executing Methods","49#1779541");
C=B.fN("Generating Thread Analyzer Reports","49#1770492");
B=A.fN("Working with Panels and Panes","50");
C=B.fN("Working with MM Metric Panes","50#1676342");
B=A.fN("Cluster Overview","51");
C=B.fN("Cluster Overview Pane","51#1676380");
C=B.fN("System Alerts Pane","51#1676428");
B=A.fN("Machine Overview","52");
B=A.fN("Process Overview","53");
B=A.fN("Agent Overview","54");
B=A.fN("Inference Agent Overview","55");
B=A.fN("Query Agent Overview","56");
B=A.fN("Ontology (Cache Objects) Overview","57");
B=A.fN("MM Method Reference","58");
C=B.fN("Process Methods","58#1778693");
C=B.fN("Inference Agent Methods","58#1778719");
C=B.fN("Query Agent Methods","58#1778537");
A=P.fN("Chapter\u00a07 Building and Deploying EAR Files at the Command Line","59");
B=A.fN("Overriding Global Variables at Command-line Startup","60");
B=A.fN("Building an EAR file with Studio Tools Utility","61");
B=A.fN("Starting a TIBCO BusinessEvents Engine at the Command Line","62");
C=B.fN("Supplementary Property Files","62#1713518");
A=P.fN("Chapter\u00a08 Deploying With TIBCO Administrator","63");
B=A.fN("Deployment in a TIBCO Administrator Domain","64");
C=B.fN("TIBCO Administration Domains","64#1685021");
C=B.fN("Property Overrides and Precedence","64#1684981");
C=B.fN("Using AppManage for Scripted Deployment to a Domain","64#1684530");
B=A.fN("Before Deploying a Project in a TIBCO Administrator Domain","65");
C=B.fN("Update Engine TRA Files for TIBCO Hawk Information","65#1699103");
C=B.fN("Set Default or Specific CDD File and Processing Unit Names","65#1700832");
C=B.fN("Enable Hot Deployment, as Needed","65#1701580");
C=B.fN("Enable Service-Settable Global Variable Overrides and Build the EAR","65#1699133");
C=B.fN("Set Stack Size to 264K on HP-UX Itanium","65#1715496");
B=A.fN("Overriding Global Variables in TIBCO Administrator","66");
C=B.fN("Levels of Override","66#1710921");
C=B.fN("Specifying Global Variable Groups","66#1710941");
C=B.fN("Enabling Service Settable Global Variables","66#1710946");
C=B.fN("Runtime Location of Global Variable Override Settings","66#1710948");
B=A.fN("Deploying a Project in a TIBCO Administrator Domain","67");
A=P.fN("Chapter\u00a09 Hot Deployment","68");
B=A.fN("Hot Deployment Overview","69");
B=A.fN("Modifications Allowed in Hot Deployment","70");
B=A.fN("Enabling Hot Deployment","71");
B=A.fN("Performing Hot Deployment in a TIBCO Administrator Domain","72");
B=A.fN("Performing Hot Deployment Outside a TIBCO Administrator Domain","73");
C=B.fN("Modify the Project as Needed and Build the EAR File","73#1676657");
C=B.fN("Replace the EAR File that was Used to Start the Engine","73#1676684");
A=P.fN("Chapter\u00a010 Configuring User Authentication","74");
B=A.fN("User Authentication Overview","75");
C=B.fN("Pluggable JAAS Login Module","75#4194084");
C=B.fN("Authentication Options","75#3999806");
C=B.fN("Authentication In Various Components","75#4200318");
B=A.fN("Configuring Authentication","76");
B=A.fN("Authentication Property Reference","77");
C=B.fN("TRA Properties","77#4198219");
C=B.fN("CDD Properties","77#4199563");
A=P.fN("Chapter\u00a011 Configuring Access Control for a Project","78");
B=A.fN("Configuring Access Control\u2014Overview","79");
C=B.fN("Establishing the User Roles","79#4201936");
C=B.fN("Guidelines for Configuring Access Control","79#4201950");
C=B.fN("Structure of the Access Control File","79#4201991");
B=A.fN("Working with Access Control Files","80");
C=B.fN("Required Location of Access Control Files","80#4202043");
C=B.fN("Specifying and Grouping Project Resources","80#4202048");
C=B.fN("Defining Permissions","80#4202069");
B=A.fN("Resource Types and Corresponding Action Types","81");
A=P.fN("Appendix\u00a0A TIBCO Hawk Microagent Methods","82");
B=A.fN("TIBCO Hawk Methods Overview and Configuration","83");
C=B.fN("Enabling the TIBCO Hawk Microagent","83#1678095");
B=A.fN("activateRuleSet()","84");
B=A.fN("deactivateRuleSet()","85");
B=A.fN("execute()","86");
B=A.fN("forceOMCheckpoint()","87");
B=A.fN("getChannels()","88");
B=A.fN("getDestinations()","89");
B=A.fN("getEvent()","90");
B=A.fN("GetExecInfo()","91");
B=A.fN("getHostInformation()","92");
B=A.fN("getInstance()","93");
B=A.fN("GetLoggerNamesWithLevels()","94");
B=A.fN("getMemoryUsage()","95");
B=A.fN("getNumberOfEvents()","96");
B=A.fN("getNumberOfInstances()","97");
B=A.fN("getOMInfo()","98");
B=A.fN("getRuleSet()","99");
B=A.fN("getRuleSets()","100");
B=A.fN("getScorecard()","101");
B=A.fN("getScorecards()","102");
B=A.fN("getSessionInputDestinations()","103");
B=A.fN("getSessions()","104");
B=A.fN("getStatus()","105");
B=A.fN("getTotalNumberRulesFired()","106");
B=A.fN("getTraceSinks()","107");
B=A.fN("reconnectChannels()","108");
B=A.fN("resetTotalNumberRulesFired()","109");
B=A.fN("resumeChannels()","110");
B=A.fN("resumeDestinations()","111");
B=A.fN("setLogLevel()","112");
B=A.fN("stopApplicationInstance()","113");
B=A.fN("suspendChannels()","114");
B=A.fN("suspendDestinations()","115");
}
